#ifdef GL_ES
#define LOWP lowp
precision mediump float;
#else
#define LOWP
#endif
varying LOWP vec4 v_color;
varying vec2 v_texCoords;
uniform sampler2D u_texture;

void main() {
	vec3 color = texture2D(u_texture, v_texCoords).rgb;
	gl_FragColor = vec4(vec3((color.r + color.g + color.b) / 2.0), texture2D(u_texture, v_texCoords).a);
}




